import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeChangeIpResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeChangeIpProtocol(_base.BasePostAPIFunctionProtocol):
    def change_ip(
        self,
        *,
        vm_id: int,
        net_type: _nested.NetTypeForChangeIP,
        net_id: int,
        ip_addr: str,
    ) -> CloudapiComputeChangeIpResultBool:
        ...
